part of modern_form_core;

extension ModernFormObjectExtension on Object? {
  bool get isNotNull => this != null;
}

extension ModernFormObjectStringExtension on String? {
  bool get isNotNullAndNotEmpty => this != null && this!.isNotEmpty;
  bool get isNullOrEmpty => this == null || !this!.isNotEmpty;
}

extension ModernFormObjectListExtension on List? {
  bool get isNotNullAndNotEmpty => this != null && this!.isNotEmpty;
  bool get isNullOrEmpty => this == null || !this!.isNotEmpty;
}

extension ModernFormObjectMapExtension on Map? {
  bool get isNotNullAndNotEmpty => this != null && this!.isNotEmpty;
  bool get isNullOrEmpty => this == null || !this!.isNotEmpty;
}
