library modern_form_videos;

import 'package:modern_form/modern_form_core.dart';
import 'package:flutter/services.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:modern_form_popupmenu/modern_form_popupmenu.dart';
import 'dart:typed_data';
import 'package:rxdart/rxdart.dart';
import 'package:flutter/material.dart';
import 'package:flick_video_player/flick_video_player.dart';
import 'package:url_launcher/url_launcher.dart';
import 'package:visibility_detector/visibility_detector.dart';

import 'src/videos/helpers/video/mobile/video-mobile_helper.dart'
    if (dart.library.html) 'src/videos/helpers/video/web/video-web_helper.dart';
import 'src/videos/helpers/view/mobile/ModerFormViewVideo-mobile_helper.dart'
    if (dart.library.html) 'src/videos/helpers/view/web/ModerFormViewVideo-web_helper.dart';

part 'src/videos/helpers/video/video_helper.dart';
part 'src/videos/helpers/view/ModerFormViewVideo_helper.dart';

part 'src/videos/widgets/ModernFormViewVideos/ModernFormViewVideos.dart';
part 'src/videos/widgets/ModernFormViewVideos/ModernFormViewVideosModel.dart';
part 'src/videos/widgets/ModernFormViewVideo.dart';
part 'src/videos/widgets/youtube/ModernFormYoutubeViewPlayer.dart';
part 'src/videos/widgets/url-our-path/CustomFLickFullScreen.dart';
part 'src/videos/widgets/url-our-path/CustomFlickPortraitControls.dart';
part 'src/videos/widgets/url-our-path/ModernFormVideoPlayer.dart';
