part of modern_form_core;

class ModernFormShareHelper {
  static Future<void> text(
    String text, {
    String? subject,
    Rect? sharePositionOrigin,
  }) =>
      ShareHelperImplementation.text(
        text,
        subject: subject,
        sharePositionOrigin: sharePositionOrigin,
      );

  static Future<void> file(
          String title, String name, List<int> bytes, String mimeType,
          {String text = ''}) =>
      ShareHelperImplementation.file(title, name, bytes, mimeType, text: text);

  static Future<void> files(
          String title, Map<String, List<int>> files, String mimeType,
          {String text = ''}) =>
      ShareHelperImplementation.files(title, files, mimeType, text: text);
}
