part of modern_form_core;

class ModernFormPaste extends StatelessWidget {
  final void Function(String url)? onChange;

  const ModernFormPaste({
    Key? key,
    this.onChange,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () async {
        ClipboardData? d = await Clipboard.getData('text/plain');
        String text = d?.text ?? "";

        onChange!(text);
      },
      child: Container(
        width: ScreenUtil().setWidth(80),
        height: ScreenUtil().setWidth(80),
        child: Material(
          elevation: 2,
          child: Icon(
            Icons.paste,
            color: Colors.black,
          ),
        ),
      ),
    );
  }
}
