part of modern_form_core;

class ModernFormFilterTextListItens extends StatelessWidget {
  final List<String> itens;
  final void Function(int index)? onTap;
  final void Function(int index, BuildContext context)? onTapCloseIten;
  final IconData? iconData;

  const ModernFormFilterTextListItens({
    Key? key,
    required this.itens,
    this.onTapCloseIten,
    this.onTap,
    this.iconData,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListView.builder(
        shrinkWrap: true,
        physics: NeverScrollableScrollPhysics(),
        itemCount: itens.length,
        itemBuilder: (context, index) {
          String iten = itens[index];
          return ModernFormFilterTextIten(
            text: iten,
            iconData: iconData,
            onTap: onTap == null
                ? null
                : () {
                    onTap!(index);
                  },
            onTapClose: (c) {
              if (onTapCloseIten != null) {
                onTapCloseIten!(index, c);
              }
            },
          );
        });
  }
}
